Kernel 2.6.7 kompilieren

Ich habe auf der WebSeite http://www.linux-on-laptops.com/ die .config
für den ThinkPad T30 gefunden und wollte diese probieren.

Also habe ich den Kernerl 2.6.7 heruntergelade.

Der Befehl "make gconfig" gibt folgenden Fehler:

asterix:/usr/src/kernel-source-2.6.7# make gconfig

Hallo Marco

Marco Schwarz wrote:

Der Befehl "make gconfig" gibt folgenden Fehler:

Wenn "make gconfig" dazu da ist die .config zu bearbeiten, dann gibt es
Alternativen:
make xconfig (setzt X voraus)
make menuconfig (TextOberflaeche, wahrscheinlich mit ncurses oder was
Aehnliches)
make config (einfaches IO fuer Nostalgen!)

Was fehlt denn noch... gtk2 sollte installiert sein:

asterix:/usr/src/kernel-source-2.6.7# dpkg -l | grep libgtk2
ii libgtk2.0-0 2.4.4-2 The GTK+ graphical user interface
library
ii libgtk2.0-bin 2.4.4-2 The programs for the GTK+ graphical
user int
ii libgtk2.0-comm 2.4.4-2 Common files for the GTK+ graphical
user int
ii libgtk2.0-dev 2.4.4-2 Development files for the GTK+ library

Ich hab hier keine Debian, auf meiner RedHat gibt es aber eine ganze
Reihe von Paketen mit den Namen gtk..., gtk2... und gtk+... Ich weiss
nicht was "make gconfig" alles braucht um die Fensterlen :wink: auszugeben,
bei mit gibt es da noch Pakete wie pygtk und noch mehr, die nach
Fensterlen aussehen. Hier ist die ganze Liste meiner alten RedHatPakete:

# rpm -qa | grep gtk
gtk2-devel-2.2.1-4
gtk2-2.2.1-4
gtk2-engines-2.2.0-2
gtkhtml2-2.2.0-5
mtr-gtk-0.52-2
gtk+-1.2.10-25
pygtk2-libglade-1.99.14-4
hotplug-gtk-2002_04_01-17
gnome-python2-gtkhtml2-1.99.14-5
pygtk2-devel-1.99.14-4
gtkhtml-devel-1.1.9-0.9.1
gtkhtml-1.1.9-0.9.1
gtk-doc-0.10-4
asp2php-gtk-0.76.2-5
gtk+-devel-1.2.10-25
pygtk2-1.99.14-4
rep-gtk-0.17-4
authconfig-gtk-4.3.4-1
usermode-gtk-1.67-2
gtkglarea-1.2.2-16
gtk-engines-0.11-16

Happy Hacking!
Karl

Marco Schwarz wrote:

Ich habe auf der WebSeite http://www.linux-on-laptops.com/ die .config
für den ThinkPad T30 gefunden und wollte diese probieren.

Also habe ich den Kernerl 2.6.7 heruntergelade.

Der Befehl "make gconfig" gibt folgenden Fehler:

Probier mal apt-get build-dep kernel-source-2.6.7.
Alternativ kannst du ja make xconfig oder make menuconfig nehmen.

Es gibt übrigens auch die 2.6.8er source im Debian.

Karl Lunger wrote:

Hallo Marco

Marco Schwarz wrote:

Der Befehl "make gconfig" gibt folgenden Fehler:

Wenn "make gconfig" dazu da ist die .config zu bearbeiten, dann gibt
es Alternativen:
make xconfig (setzt X voraus)
make menuconfig (TextOberflaeche, wahrscheinlich mit ncurses oder was
Aehnliches)
make config (einfaches IO fuer Nostalgen!)

Was fehlt denn noch... gtk2 sollte installiert sein:

asterix:/usr/src/kernel-source-2.6.7# dpkg -l | grep libgtk2
ii libgtk2.0-0 2.4.4-2 The GTK+ graphical user interface
library
ii libgtk2.0-bin 2.4.4-2 The programs for the GTK+ graphical
user int
ii libgtk2.0-comm 2.4.4-2 Common files for the GTK+ graphical
user int
ii libgtk2.0-dev 2.4.4-2 Development files for the GTK+ library

Ich hab hier keine Debian, auf meiner RedHat gibt es aber eine ganze
Reihe von Paketen mit den Namen gtk..., gtk2... und gtk+... Ich weiss
nicht was "make gconfig" alles braucht um die Fensterlen :wink:
auszugeben, bei mit gibt es da noch Pakete wie pygtk und noch mehr,
die nach Fensterlen aussehen. Hier ist die ganze Liste meiner alten
RedHatPakete:

# rpm -qa | grep gtk
gtk2-devel-2.2.1-4
gtk2-2.2.1-4
gtk2-engines-2.2.0-2
gtkhtml2-2.2.0-5
mtr-gtk-0.52-2
gtk+-1.2.10-25
pygtk2-libglade-1.99.14-4
hotplug-gtk-2002_04_01-17
gnome-python2-gtkhtml2-1.99.14-5
pygtk2-devel-1.99.14-4
gtkhtml-devel-1.1.9-0.9.1
gtkhtml-1.1.9-0.9.1
gtk-doc-0.10-4
asp2php-gtk-0.76.2-5
gtk+-devel-1.2.10-25
pygtk2-1.99.14-4
rep-gtk-0.17-4
authconfig-gtk-4.3.4-1
usermode-gtk-1.67-2
gtkglarea-1.2.2-16
gtk-engines-0.11-16

Happy Hacking!
Karl

Das stimmt, wenn ich nur gtk und nicht gtk2 abfrage bekomme ich auch
eine lange liste..

*asterix:/home/data# dpkg -l | grep gtk
ii gtk2-engines-c 2.6.1-2 the Crux theme engine for GTK+ 2.x
ii gtk2-engines-i 0.2.36.2 Flat-looking GTK+ 2.x engine from Ximian
ii gtk2-engines-l 2.6.1-2 LighthouseBlue theme for GTK+ 2.x
ii gtk2-engines-p 2.2.0-3 Pixbuf-based theme for GTK+ 2.x
ii gtk2-engines-r 2.2.0-3 Windows-like theme for GTK+ 2.x
ii gtk2-engines-s 0.5.6-4 Smooth Engine for GTK+ 2.x
ii gtk2-engines-s 0.7-8 A blue vector theme for GTK+ 2.x
ii gtk2-engines-t 2.6.1-2 the ThinIce theme engine for GTK+ 2.x
ii gtkglarea5 1.2.3-2 Gimp Toolkit OpenGL area widget shared
libra
ii gtkhtml3.0 3.0.10-1 HTML rendering/editing library -
bonobo comp
ii libgdk-pixbuf2 0.22.0-6 The GdkPixBuf image library, gtk+ 1.2
versio
ii libgtk1.2 1.2.10-17 The GIMP Toolkit set of widgets for X
ii libgtk1.2-comm 1.2.10-17 Common files for the GTK+ library
ii libgtk2.0-0 2.4.4-2 The GTK+ graphical user interface library
ii libgtk2.0-bin 2.4.4-2 The programs for the GTK+ graphical
user int
ii libgtk2.0-comm 2.4.4-2 Common files for the GTK+ graphical
user int
ii libgtk2.0-dev 2.4.4-2 Development files for the GTK+ library
ii libgtkhtml2-0 2.4.1-1 HTML rendering/editing library -
runtime fil
ii libgtkhtml3.0- 3.0.10-1 HTML rendering/editing library -
runtime fil
ii libgtksourcevi 1.0.1-3 Common files for the GTK+ syntax
highlightin
ii libgtksourcevi 1.0.1-3 Shared libraries for the GTK+ syntax
highlig
ii libgtkxmhtml1 1.4.2-19 The GNOME gtkxmhtml (HTML) widget
ii libwxgtk2.4 2.4.2.6 wxWindows Cross-platform C++ GUI
toolkit (GT
ii python-gtk2 2.2.0-3 Python bindings for the GTK+ widget set
ii python2.3-gtk2 2.2.0-3 Python bindings for the GTK+ widget set
asterix:/home/data#

Gruß
Marco

Hallo Marco

hast du von den 3 Paketen:
gtk+-2.0, glib-2.0 and libglade-2.0
jeweils auch die -dev Pakete installiert?
dieses hier müsste passen:
libgtk2.0-dev 2.4.4-2 Development files for the GTK+ library
Kontrolliere noch die anderen zwei.

Grüße
Robert

genau das libglade-2.0-dev hat gefehlt jetzt funktioniert es richtig!

Danke
Marco

Dolle wrote: